--- a/arch/arm/boot/dts/kirkwood-4i-edge-200.dts
+++ b/arch/arm/boot/dts/kirkwood-4i-edge-200.dts
@@ -20,6 +20,13 @@
 		reg = <0x00000000 0x20000000>;
 	};
 
+	aliases {
+		led-boot = &led_status_green;
+		led-failsafe = &led_status_orange;
+		led-running = &led_status_green;
+		led-upgrade = &led_status_orange;
+	};
+
 	chosen {
 		bootargs = "console=ttyS0,115200n8";
 		stdout-path = &uart0;
@@ -37,13 +44,15 @@
 			linux,default-trigger = "mmc0";
 		};
 
-		led-2 {
+		led_status_orange: led-2 {
+			label = "orange:status";
 			function = LED_FUNCTION_STATUS;
 			color = <LED_COLOR_ID_AMBER>;
 			gpios = <&gpio1 3 GPIO_ACTIVE_HIGH>;
 		};
 
-		led-3 {
+		led_status_green: led-3 {
+			label = "green:status";
 			function = LED_FUNCTION_STATUS;
 			color = <LED_COLOR_ID_GREEN>;
 			gpios = <&gpio1 17 GPIO_ACTIVE_HIGH>;
